package com.pcloud.book.applet.biz;

import com.pcloud.book.applet.dto.AnswerSubscribeDTO;

import java.util.Map;

public interface AnswerSubscribeBiz {

    /**
     * 答案订阅
     * @author：zhuyajie
     * @date：2020/9/16 16:24
     *  * @param null
     */
    void answerSubscribe(AnswerSubscribeDTO answerSubscribeDTO);

    /**
     * 查询是否订阅
     * @author：zhuyajie
     * @date：2020/9/16 16:37
     *  * @param null
     */
    Map<String,Object> getSubscribeState(AnswerSubscribeDTO answerSubscribeDTO);
    /**
     * 定时推送答案订阅提醒
     * @author：zhuyajie
     * @date：2020/9/16 16:48
     *  * @param null
     */
    void sendAppletMsg4Answer();

    /**
     * 查订阅的书籍答案有更新
     * @author：zhuyajie
     * @date：2020/9/18 10:00
     *  * @param null
     */
    void checkAnswerUpdate();
}
